
Redmine - Defect #4703

commit:XXXXX comments for git don't always get turned into links

2010-01-31 19:32 - Andrew Nguyen

Status: Closed Start date: 2010-01-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

First, please correct me if I am wrong, but it seems that the comments get turned into links upon submission into the system, not

when rendering the web page.  As a result, if there is a lack of synchronization between the repository and Redmine, certain

commit:XXXXXX comments may never become links.  This has been my observation but has not been scientifically tested on my

part.

This brings me to the actual potential defect where the comments don't always turn into links.  So, I have begun using the Preview

feature and that leads me to perform the following in order to get my links to show up properly:

1. Push local branch to git repository on server (which is the same one pointed to by the Redmine configuration)

2. Click on the "Repository" link in Redmine

3. Select the branch of interest to verify the changes have been pushed to server

4. Click Preview to verify that comment has been converted to link

Thinking it may be a timeout issue, I have waited some additional amount of time before Previewing without clicking on the

Repository link and it still does not become a link.  However, immediately after clicking on the Repository link and then selecting the

branch of interest, the Preview generates the anticipated link.

Info about my setup:

Gentoo system

git 1.6.3.3

redmine r2982

mysql 5.0.38

ruby 1.8.6

rails 2.3.4

I have attempted to do a search through the existing system before submitting this but have not found anything comparable.  I

apologize if this issue has been covered previously.

History

#1 - 2010-02-21 00:18 - Jean-Baptiste Barth

I think you're wrong :

First, please correct me if I am wrong, but it seems that the comments get turned into links upon submission into the system, not when rendering

the web page

It's not parsed when submitting. There may be some fragment caching somewhere I don't know, but anyway, I just tested it on current trunk :

updated an issue with a commit which has not been synchronized yet,

clicked on the repository tab to sync it,

went back to my issue : the commit:XXXX had turned into a link as expected..

Anything specific in your logs (lines with "GIT") ? And maybe you could upgrade to a more recent version to confirm ?

#2 - 2010-07-10 23:34 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to No feedback
